> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all transactions

> Retrieve all ledger transactions with filtering and pagination



## OpenAPI

````yaml /openapi.json get /api/v1/transactions
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/transactions:
    get:
      tags:
        - Ledger
      summary: Get all transactions
      description: Retrieve all ledger transactions with filtering and pagination
      operationId: LedgerController_findAll
      parameters:
        - name: tx_type
          required: false
          in: query
          description: Transaction type filter
          schema:
            example: deposit
            type: string
        - name: reference_type
          required: false
          in: query
          description: Reference type filter
          schema:
            example: payment_session
            type: string
        - name: from_date
          required: false
          in: query
          description: From date (ISO format)
          schema:
            example: '2023-01-01'
            type: string
        - name: to_date
          required: false
          in: query
          description: To date (ISO format)
          schema:
            example: '2023-12-31'
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            example: 10
            type: number
      responses:
        '200':
          description: Transactions retrieved successfully.
        '401':
          description: Missing, invalid, or expired authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - api-key: []
components:
  schemas:
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: API key for /api/v1/* endpoints

````